Query invoices & credit memos
curl --request POST \
--url https://sbx.api.easybilling.cloud/billing/api/data-query \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"queryObject": "invoice",
"filters": [
{
"fieldName": "accountNumber",
"fieldValues": [
"ACC-0000000123"
]
}
]
}
'import requests
url = "https://sbx.api.easybilling.cloud/billing/api/data-query"
payload = {
"queryObject": "invoice",
"filters": [
{
"fieldName": "accountNumber",
"fieldValues": ["ACC-0000000123"]
}
]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
queryObject: 'invoice',
filters: [{fieldName: 'accountNumber', fieldValues: ['ACC-0000000123']}]
})
};
fetch('https://sbx.api.easybilling.cloud/billing/api/data-query', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"content": [
{
"id": "97b690f8-87ef-4cfd-ad40-22585d1defe3",
"accountId": "67773b78-11c2-435d-bddd-4c4eebc4bb3e",
"contractId": "55aac344-1f7f-4846-b9d4-7c53cecf3345",
"number": "INV-000000198",
"date": "2026-05-01",
"dueDate": "2026-05-01",
"subTotal": 200,
"discountAmount": 0,
"amountAfterDiscount": 200,
"taxAmount": 0,
"totalAmount": 200,
"balance": 200,
"currency": "USD",
"status": "paid",
"description": "auto-testing-hybrid-drawdown2",
"createdAt": "2026-04-14T11:48:15Z",
"updatedAt": "2026-04-30T16:04:01Z",
"createdBy": "system",
"updatedBy": "39b21041-ddb5-4cda-98f5-bb28f3c70cf0"
}
],
"pageable": {
"pageNumber": 0,
"pageSize": 20,
"sort": {
"sorted": true,
"empty": false,
"unsorted": false
},
"offset": 0,
"paged": true,
"unpaged": false
},
"last": true,
"totalElements": 1,
"totalPages": 1,
"first": true,
"size": 20,
"number": 0,
"sort": {
"sorted": true,
"empty": false,
"unsorted": false
},
"numberOfElements": 1,
"empty": false
}
billing document
Query invoices & credit memos
POST
/
api
/
data-query
Query invoices & credit memos
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
Body
application/json
Response
200 - application/json
- Option 1
- Option 2
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
⌘I
